Package com.microsoft.sqlserver.jdbc

# Enum SQLServerStatementColumnEncryptionSetting

java.lang.Object
java.lang.Enum<SQLServerStatementColumnEncryptionSetting>
com.microsoft.sqlserver.jdbc.SQLServerStatementColumnEncryptionSetting

All Implemented Interfaces:
  `Serializable`, `Comparable<SQLServerStatementColumnEncryptionSetting>`, `java.lang.constant.Constable`

public enum SQLServerStatementColumnEncryptionSetting extends Enum<SQLServerStatementColumnEncryptionSetting>
Specifies how data will be sent and received when reading and writing encrypted columns. Depending on your specific query, performance impact may be reduced by bypassing the Always Encrypted driver processing when non-encrypted columns are being used. Note that these settings cannot be used to bypass encryption and gain access to plaintext data.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Disabled`
Disables TCE for the command.Overrides the connection level setting for this command.
`Enabled`
Enables TCE for the command.
`ResultSetOnly`
Parameters will not be encrypted, only the ResultSet will be decrypted.
`UseConnectionSetting`
if "Column Encryption Setting=Enabled" in the connection string, use Enabled.

## Method Summary

Modifier and Type
Method
Description
`static SQLServerStatementColumnEncryptionSetting`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SQLServerStatementColumnEncryptionSetting[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UseConnectionSetting

public static final SQLServerStatementColumnEncryptionSetting UseConnectionSetting
if "Column Encryption Setting=Enabled" in the connection string, use Enabled. Otherwise, maps to Disabled.

### Enabled

public static final SQLServerStatementColumnEncryptionSetting Enabled
Enables TCE for the command. Overrides the connection level setting for this command.

### ResultSetOnly

public static final SQLServerStatementColumnEncryptionSetting ResultSetOnly
Parameters will not be encrypted, only the ResultSet will be decrypted. This is an optimization for queries that do not pass any encrypted input parameters. Overrides the connection level setting for this command.

### Disabled

public static final SQLServerStatementColumnEncryptionSetting Disabled
Disables TCE for the command.Overrides the connection level setting for this command.

## Method Details

### values

public static SQLServerStatementColumnEncryptionSetting[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SQLServerStatementColumnEncryptionSetting valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null